#
# spec file for package python-iso3166
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python-iso3166
Version:        0.7
Release:        1.1
License:        MIT
Summary:        ISO 3166-1 Country Definitions
Url:            http://github.com/deactivated/python-iso3166
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/i/iso3166/iso3166-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
ISO 3166-1 defines two-letter, three-letter, and three-digit country
codes. `python-iso3166` is a self-contained module that converts
between these codes and the corresponding country name.

%prep
%setup -q -n iso3166-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE.txt README.rst
%{python_sitelib}/*

%changelog
* Tue Jun 30 2015 prusnak@opensuse.org
- created package (version 0.7)
